Get Collections
curl --request GET \
--url https://api.catalogix.ai/v1/collection \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catalogix.ai/v1/collection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catalogix.ai/v1/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 0,
"message": "SUCCESS",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": [
{
"name": "Shirts",
"description": "<string>",
"thumbnail": "<string>",
"status": "active",
"url": "Shirts69b29578c653e5cf72206d77",
"displayPreference": "product",
"autoRefresh": true,
"minProducts": 123,
"totalProducts": 123,
"meta": {
"title": "<string>",
"description": "<string>"
},
"sortBy": {
"static": {
"qualityScore": false,
"trendScore": false,
"personalization": false
},
"dynamic": [
{}
]
},
"filters": {},
"heroProducts": [
"<string>"
],
"groups": [
{}
],
"bannerUrl": "<string>",
"static": "<string>"
}
]
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Collection APIs
Get Collections
Retrieve collections for a store, with optional status filtering.
GET
/
collection
Get Collections
Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID
Query Parameters
Store identifier
Comma-separated status filter. Allowed values: active, inactive, hidden.
Maximum number of collections to return (max: 1000).
Required range:
x <= 1000⌘I